package com.ruoyi.ibs.list.domain;

import com.ruoyi.common.core.domain.entity.CustInfoBusiness;
import com.ruoyi.ibs.grid.domain.vo.AddressDetail;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * 对私客户信息对象 cust_info_retail
 * 
 * @author ruoyi
 * @date 2024-09-11
 */
@Data
public class CustInfoRetailVo
{
    private static final long serialVersionUID = 1L;

    private CustInfoRetail custInfoRetail;

    private List<CustInfoMerchant> merchantList;

    private List<CustInfoBusiness> businessList;

    private List<FamilyMembers> familyMembers;

    private Map<String, Map<String,String>> signedProducts;

    private List<AddressDetail> addressDetails;

    List<CmpmUserList> cmpmUserLists;
    private String gridUserName;
    //归属网格信息
    private String gridName;
    //零售部行政网格信息
    private String XzLsGridUserName;
    private String XzLsGridName;
    //公司部行政网格信息
    private String XzGsGridUserName;
    private String XzGsGridName;
    //运管部行政网格信息
    private String XzYgGridUserName;
    private String XzYgGridName;

    private String cmpmUserName;
    private String community;
    //他行利率信息
    private List<OtherBankRate> otherBankRates;

    //  标签枚举， String：String || name： flag
    @ApiModelProperty(value = "标签枚举 String：String || name： flag")
    private List<TreeNode> tabEnmuVos;

    @ApiModelProperty(value = "手动打标")
    private List<TreeNode> tagManual;

    public List<TreeNode> getTagManual() {
        return tagManual;
    }

    public void setTagManual(List<TreeNode> tagManual) {
        this.tagManual = tagManual;
    }

    public String getCmpmUserName() {
        return cmpmUserName!=null?cmpmUserName:"";
    }

    public void setCmpmUserName(String cmpmUserName) {
        this.cmpmUserName = cmpmUserName;
    }

    public List<CmpmUserList> getCmpmUserLists() {
        return cmpmUserLists;
    }

    public void setCmpmUserLists(List<CmpmUserList> cmpmUserLists) {
        this.cmpmUserLists = cmpmUserLists;
    }

    public CustInfoRetail getCustInfoRetail() {
        return custInfoRetail;
    }

    public void setCustInfoRetail(CustInfoRetail custInfoRetail) {
        this.custInfoRetail = custInfoRetail;
    }

    public List<CustInfoMerchant> getMerchantList() {
        return merchantList;
    }

    public void setMerchantList(List<CustInfoMerchant> merchantList) {
        this.merchantList = merchantList;
    }

    public List<CustInfoBusiness> getBusinessList() {
        return businessList;
    }

    public void setBusinessList(List<CustInfoBusiness> businessList) {
        this.businessList = businessList;
    }

    public List<FamilyMembers> getFamilyMembers() {
        return familyMembers;
    }

    public void setFamilyMembers(List<FamilyMembers> familyMembers) {
        this.familyMembers = familyMembers;
    }

    public Map<String, Map<String, String>> getSignedProducts() {
        return signedProducts;
    }

    public void setSignedProducts(Map<String, Map<String, String>> signedProducts) {
        this.signedProducts = signedProducts;
    }

    public String getGridUserName() {
        return gridUserName!=null?gridUserName:"";
    }

    public void setGridUserName(String gridUserName) {
        this.gridUserName = gridUserName;
    }

    public List<OtherBankRate> getOtherBankRates() {
        return otherBankRates;
    }

    public void setOtherBankRates(List<OtherBankRate> otherBankRates) {
        this.otherBankRates = otherBankRates;
    }

    public String getGridName() {
        return gridName!=null?gridName:"";
    }

    public void setGridName(String gridName) {
        this.gridName = gridName;
    }

    public String getXzLsGridUserName() {
        return XzLsGridUserName;
    }

    public void setXzLsGridUserName(String xzLsGridUserName) {
        XzLsGridUserName = xzLsGridUserName;
    }

    public String getXzLsGridName() {
        return XzLsGridName;
    }

    public void setXzLsGridName(String xzLsGridName) {
        XzLsGridName = xzLsGridName;
    }

    public String getXzGsGridUserName() {
        return XzGsGridUserName;
    }

    public void setXzGsGridUserName(String xzGsGridUserName) {
        XzGsGridUserName = xzGsGridUserName;
    }


    public String getXzYgGridUserName() {
        return XzYgGridUserName;
    }

    public void setXzYgGridUserName(String xzYgGridUserName) {
        XzYgGridUserName = xzYgGridUserName;
    }


    public String getXzGsGridName() {
        return XzGsGridName;
    }

    public void setXzGsGridName(String xzGsGridName) {
        XzGsGridName = xzGsGridName;
    }

    public String getXzYgGridName() {
        return XzYgGridName;
    }

    public void setXzYgGridName(String xzYgGridName) {
        XzYgGridName = xzYgGridName;
    }

    public String getCommunity() {
        return community;
    }

    public void setCommunity(String community) {
        this.community = community;
    }

    public List<AddressDetail> getAddressDetails() {
        return addressDetails;
    }

    public void setAddressDetails(List<AddressDetail> addressDetails) {
        this.addressDetails = addressDetails;
    }


    public List<TreeNode> getTabEnmuVos() {
        return tabEnmuVos;
    }

    public void setTabEnmuVos(List<TreeNode> tabEnmuVos) {
        this.tabEnmuVos = tabEnmuVos;
    }
}
